[Buildroot] [PATCH v5 2/9] gst1-plugins-${base, good, bad, ugly}: bump to 1.14.0

Thomas Petazzoni thomas.petazzoni at bootlin.com
Tue May 1 20:49:07 UTC 2018


Hello Adam,

On Tue,  1 May 2018 09:46:44 -0400, Adam Duskett wrote:
> These are grouped together because several plugins have been re-arranged and
> there is no way to individually update each plugin package.
> 
> Changes:
> 
> Add the following to gst1-plugins-base and remove them from plugins-bad:
>  - opengl
>  - gles2
>  - glx
>  - egl
>  - x11
>  - dispmanx
>  - audiomixer
> 
> Add the following to plugins-good and remove them from plugins-ugly:
>  - lame
>  - mpg123
> 
> moved --disable-qt from plugins-bad to plugins-good
> 
> Also add hashes for the license files.
> 
> Signed-off-by: Adam Duskett <aduskett at gmail.com>

There are two issues with this patch:

 - You remove/rename a lot of options, but there is no Config.in.legacy
   handling for the options being removed/renamed.

 - The lame and mpg123 support is moved from plugins-ugly to
   plugins-good, but the corresponding options are not removed from
   plugins-ugly/Config.in.

Could you fix those issues, re-adjust the authorship for PATCH
8/9 (you can do that with git commit --amend --author="..."), and send
an updated version of this patch series ?

Thanks!

Thomas
-- 
Thomas Petazzoni, CTO, Bootlin (formerly Free Electrons)
Embedded Linux and Kernel engineering
https://bootlin.com



More information about the buildroot mailing list